package org.mmc.model.domain;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

/**
 * Created on: 2007-10-6
 *
 * @author Stoyo Venkov
 */
public class AnalysisRequest implements Serializable {
    private Long id;
    private User sender;
    private Patient patient;
    private String notes;
    private Date registrationDate;
    private User creator;
    private BigDecimal materialQuantity;
    private String materialNotes;
    private Boolean agreementTaken;
    private String analysisReason;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public User getSender() {
        return sender;
    }

    public void setSender(User sender) {
        this.sender = sender;
    }

    public Patient getPatient() {
        return patient;
    }

    public void setPatient(Patient patient) {
        this.patient = patient;
    }

    public String getNotes() {
        return notes;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public Date getRegistrationDate() {
        return registrationDate;
    }

    public void setRegistrationDate(Date registrationDate) {
        this.registrationDate = registrationDate;
    }

    public User getCreator() {
        return creator;
    }

    public void setCreator(User creator) {
        this.creator = creator;
    }

    public BigDecimal getMaterialQuantity() {
        return materialQuantity;
    }

    public void setMaterialQuantity(BigDecimal materialQuantity) {
        this.materialQuantity = materialQuantity;
    }

    public String getMaterialNotes() {
        return materialNotes;
    }

    public void setMaterialNotes(String materialNotes) {
        this.materialNotes = materialNotes;
    }

    public Boolean getAgreementTaken() {
        return agreementTaken;
    }

    public void setAgreementTaken(Boolean agreementTaken) {
        this.agreementTaken = agreementTaken;
    }

    public String getAnalysisReason() {
        return analysisReason;
    }

    public void setAnalysisReason(String analysisReason) {
        this.analysisReason = analysisReason;
    }
}
