package org.mmc.model.domain;

import java.io.Serializable;
import java.util.Date;

/**
 * Created on: 2007-10-6
 *
 * @author Stoyo Venkov
 */
public class Step implements Serializable {
    private Long id;
    private ProcessStep nomenclatureStep;
    private User creator;
    private Date startDate;
    private Date finishDate;
    private String notes;
    private Boolean successful;
    private Long parentStepId;
    private Long projectId;
    private Long probeId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public ProcessStep getNomenclatureStep() {
        return nomenclatureStep;
    }

    public void setNomenclatureStep(ProcessStep nomenclatureStep) {
        this.nomenclatureStep = nomenclatureStep;
    }

    public User getCreator() {
        return creator;
    }

    public void setCreator(User creator) {
        this.creator = creator;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getFinishDate() {
        return finishDate;
    }

    public void setFinishDate(Date finishDate) {
        this.finishDate = finishDate;
    }

    public String getNotes() {
        return notes;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public Boolean getSuccessful() {
        return successful;
    }

    public void setSuccessful(Boolean successful) {
        this.successful = successful;
    }

    public Long getParentStepId() {
        return parentStepId;
    }

    public void setParentStepId(Long parentStepId) {
        this.parentStepId = parentStepId;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public Long getProbeId() {
        return probeId;
    }

    public void setProbeId(Long probeId) {
        this.probeId = probeId;
    }
}
