package org.mmc.model.filters;

import java.util.Date;

/**
 * Created on: 2007-10-7
 *
 * @author Stoyo Venkov
 */
public class PatientsFilter extends BasePageFilter {
    private String firstName;
    private String familyName;
    private String uniqueNumber;
    private String initials;
    private Long sexId;
    private Long ethnicGroupId;
    private Integer birthDay;
    private Integer birthMonth;
    private Integer birthYear;
    private Date regFromDate;
    private Date regToDate;
    private Long projectId;

    public PatientsFilter(int pageSize) {
        super(pageSize);
    }

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getFamilyName() {
        return familyName;
    }

    public void setFamilyName(String familyName) {
        this.familyName = familyName;
    }

    public String getUniqueNumber() {
        return uniqueNumber;
    }

    public void setUniqueNumber(String uniqueNumber) {
        this.uniqueNumber = uniqueNumber;
    }

    public String getInitials() {
        return initials;
    }

    public void setInitials(String initials) {
        this.initials = initials;
    }

    public Long getSexId() {
        return sexId;
    }

    public void setSexId(Long sexId) {
        this.sexId = sexId;
    }

    public Long getEthnicGroupId() {
        return ethnicGroupId;
    }

    public void setEthnicGroupId(Long ethnicGroupId) {
        this.ethnicGroupId = ethnicGroupId;
    }

    public Integer getBirthDay() {
        return birthDay;
    }

    public void setBirthDay(Integer birthDay) {
        this.birthDay = birthDay;
    }

    public Integer getBirthMonth() {
        return birthMonth;
    }

    public void setBirthMonth(Integer birthMonth) {
        this.birthMonth = birthMonth;
    }

    public Integer getBirthYear() {
        return birthYear;
    }

    public void setBirthYear(Integer birthYear) {
        this.birthYear = birthYear;
    }

    public Date getRegFromDate() {
        return regFromDate;
    }

    public void setRegFromDate(Date regFromDate) {
        this.regFromDate = regFromDate;
    }

    public Date getRegToDate() {
        return regToDate;
    }

    public void setRegToDate(Date regToDate) {
        this.regToDate = regToDate;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }
}
