package org.mmc.model.filters;

import java.util.Date;

/**
 * Created on: 2007-10-6
 *
 * @author Stoyo Venkov
 */
public class ProbesFilter extends BasePageFilter {
    public static final String PRESSING_PROBES = "pressing";
    public static final String EXPIRED_PROBES = "expired";

    private Long id;
    private Date regFromDate;
    private Date regToDate;
    private Long creatorId;
    private Long senderId;
    private Long projectId;
    private Long patientId;
    private Long requestId;
    private Long tubeId;
    private Long rackId;
    private Long plateId;
    private Long batchGroupId;
    private String term;

    public ProbesFilter(int pageSize) {
        super(pageSize);
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getRegFromDate() {
        return regFromDate;
    }

    public void setRegFromDate(Date regFromDate) {
        this.regFromDate = regFromDate;
    }

    public Date getRegToDate() {
        return regToDate;
    }

    public void setRegToDate(Date regToDate) {
        this.regToDate = regToDate;
    }

    public Long getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Long creatorId) {
        this.creatorId = creatorId;
    }

    public Long getSenderId() {
        return senderId;
    }

    public void setSenderId(Long senderId) {
        this.senderId = senderId;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public Long getPatientId() {
        return patientId;
    }

    public void setPatientId(Long patientId) {
        this.patientId = patientId;
    }

    public Long getRequestId() {
        return requestId;
    }

    public void setRequestId(Long requestId) {
        this.requestId = requestId;
    }

    public Long getTubeId() {
        return tubeId;
    }

    public void setTubeId(Long tubeId) {
        this.tubeId = tubeId;
    }

    public Long getRackId() {
        return rackId;
    }

    public void setRackId(Long rackId) {
        this.rackId = rackId;
    }

    public Long getPlateId() {
        return plateId;
    }

    public void setPlateId(Long plateId) {
        this.plateId = plateId;
    }

    public Long getBatchGroupId() {
        return batchGroupId;
    }

    public void setBatchGroupId(Long batchGroupId) {
        this.batchGroupId = batchGroupId;
    }

    public String getTerm() {
        return term;
    }

    public void setTerm(String term) {
        this.term = term;
    }
}
