package org.mmc.model.persistence.dao;

import org.mmc.model.filters.CriteriaFilter;
import org.mmc.model.domain.Criterion;

import java.util.List;

/**
 * Created on: 2007-9-20
 *
 * @author Stoyo Venkov
 */
public interface CriteriaDao {
    public List getAllCriteria();
    public List getAllActive();
    public List getCriteriaByFilter(final CriteriaFilter filter);
    public Criterion getCriterionById(long id);
    public Criterion updateCriterion(Criterion criterion);
    public Criterion saveCriterion(Criterion criterion);
}
