package org.mmc.model.persistence.dao;

import org.mmc.model.domain.MMCPosition;
import org.mmc.model.filters.PositionFilter;

import java.util.List;

/**
 * Created on: 2007-9-9
 *
 * @author Stoyo Venkov
 */
public interface MMCPositionsDao extends BaseDao {
    public List getAllMMCPositions();
    public List getAllActive();
    public List getPositionsByFilter(final PositionFilter filter);
    public MMCPosition getPositionById(long positionId);
    public MMCPosition updatePosition(MMCPosition position);
    public MMCPosition savePosition(MMCPosition position);
}