package org.mmc.model.persistence.dao;

import org.mmc.model.domain.ProbeType;
import org.mmc.model.filters.ProbeTypesFilter;

import java.util.List;

/**
 * Created on: 2007-9-9
 *
 * @author Stoyo Venkov
 */
public interface ProbeTypesDao extends BaseDao {
    public List getAllProbeTypes();
    public List getAllActive();
    public List getProbeTypesByFilter(final ProbeTypesFilter filter);
    public ProbeType getProbeTypeById(long id);
    public ProbeType updateProbeType(ProbeType type);
    public ProbeType saveProbeType(ProbeType type);
}
