package org.mmc.model.persistence.dao;

import org.mmc.model.domain.ProcessStep;
import org.springframework.orm.hibernate3.support.HibernateDaoSupport;
import org.hibernate.criterion.DetachedCriteria;
import org.hibernate.criterion.Expression;

import java.util.List;

/**
 * Created on: 2007-10-11
 *
 * @author Stoyo Venkov
 */
public class ProcessStepsDaoHbrImpl extends HibernateDaoSupport implements ProcessStepsDao {
    public List getAllProcessSteps() {
        return getHibernateTemplate().find("from ProcessStep");
    }

    public ProcessStep getProcessStepById(Long id) {
        DetachedCriteria crit = DetachedCriteria.forClass(ProcessStep.class);
        crit.add(Expression.eq("id", id));

        List result = getHibernateTemplate().findByCriteria(crit);

        if(result != null) {
            if(result.size() > 0) {
                return (ProcessStep) result.get(0);
            }
        }

        return null;
    }
}
