package org.mmc.model.persistence.dao;

import org.mmc.model.filters.ProjectsFilter;
import org.mmc.model.domain.Project;

import java.util.List;

/**
 * Created on: 2007-9-19
 *
 * @author Stoyo Venkov
 */
public interface ProjectsDao extends BaseDao {
    public List getAllProjects();
    public List getAllActive();
    public List getProjectsByFilter(final ProjectsFilter filter);
    public Project getProjectById(long projectId);
    public Project updateProject(Project project);
    public Project saveProject(Project project);
}
