package org.mmc.model.service;

import org.mmc.model.domain.AnalysisRequest;
import org.mmc.model.filters.RequestsFilter;
import org.mmc.model.persistence.dao.AnalysisRequestsDao;

import java.util.List;

/**
 * Created on: 2007-10-7
 *
 * @author Stoyo Venkov
 */
public class AnalysisRequestsDaoService implements AnalysisRequestsService {
    private AnalysisRequestsDao dao;

    public AnalysisRequestsDao getDao() {
        return dao;
    }

    public void setDao(AnalysisRequestsDao dao) {
        this.dao = dao;
    }

    public AnalysisRequest getRequestById(Long id) {
        return dao.getRequestById(id);
    }

    public List getRequestsByFilter(RequestsFilter filter) {
        return dao.getRequestsByFilter(filter);
    }
}
