package org.mmc.model.service;

import org.mmc.model.domain.ProcessStep;
import org.mmc.model.persistence.dao.ProcessStepsDao;

import java.util.List;

/**
 * Created on: 2007-10-11
 *
 * @author Stoyo Venkov
 */
public class ProcessStepsDaoService implements ProcessStepsService {
    private ProcessStepsDao dao;

    public ProcessStepsDao getDao() {
        return dao;
    }

    public void setDao(ProcessStepsDao dao) {
        this.dao = dao;
    }

    public List getAllProcessSteps() {
        return dao.getAllProcessSteps();
    }

    public ProcessStep getProcessStepById(Long id) {
        return dao.getProcessStepById(id);
    }

    public ProcessStep getFirstStep() {
        return getProcessStepById(new Long(1));
    }
}
