package org.mmc.model.transformers;

import javax.xml.transform.stream.StreamSource;
import java.io.StringReader;
import java.io.ByteArrayOutputStream;
import java.io.InputStream;

/**
 * Created on: 2007-10-18
 *
 * @author Stoyo Venkov
 */
public class TransformationManager {
    public byte[] transformToPDF(InputStream xml) {
        FOPTransformer transformer = new FOPTransformer();
        StreamSource input = new StreamSource(xml);

        InputStream is = TransformationManager.class.getResourceAsStream("/resources/transformations/pdfExport.xml");

        StreamSource xslt = new StreamSource(is);

        ByteArrayOutputStream baos = transformer.applyTransformation(input, xslt);

        return baos.toByteArray();
    }
}
