<%@ page import="org.mmc.utils.ResourcesUtils"%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>

<%
  String menuPathString = ResourcesUtils.getInstance().getString("label.menu.administration") + "->" +
      ResourcesUtils.getInstance().getString("label.menu.users");
%>
<jsp:include page="../includes/header.jsp">
  <jsp:param name="menuPath" value="<%=menuPathString%>"/>
</jsp:include>
<script type="text/javascript">
  <!--
    function doOnBack() {
      document.location = "<%= request.getContextPath()%>" + "/browseUsers.do?operation=filter";
    }
  //-->
</script>
<table class="content" cellpadding="0" cellspacing="0">
  <tr><td height="16"></td></tr>
  <tr><td class="headerCell"><fmt:message key="title.editUser"/></td></tr>
  <jsp:include page="../includes/messages.jsp"/>
  <tr><td height="16"></td></tr>
  <tr>
    <td align="center">
      <html:form action="saveUser.do">
      <table class="searchTable">
        <tr>
          <td class="leftNormalCell" width="18%"><fmt:message key="label.name"/>*</td>
          <td width="32%"><html:text property="firstName" styleClass="textBoxNormal"/></td>
          <td class="leftNormalCell" width="18%"><fmt:message key="label.secondName"/></td>
          <td align="left">&nbsp;<html:text property="secondName" styleClass="textBoxNormal"/></td>
        </tr>
        <tr>
          <td class="leftNormalCell"><fmt:message key="label.familyName"/>*</td>
          <td><html:text property="familyName" styleClass="textBoxNormal"/></td>
          <td class="leftNormalCell"><fmt:message key="label.active"/></td>
          <td align="left"><html:checkbox property="active" value="Y"/></td>
        </tr>
        <tr>
          <td class="leftNormalCell" width="18%"><fmt:message key="label.email"/>*</td>
          <td width="32%"><html:text property="email" styleClass="textBoxNormal"/></td>
          <td class="leftNormalCell" width="18%"><fmt:message key="label.phoneNumber"/>*</td>
          <td align="left">&nbsp;<html:text property="phoneNumber" styleClass="textBoxNormal"/></td>
        </tr>
        <tr><td height="10" colspan="4"></td></tr>
        <tr>
          <td class="leftNormalCell" width="18%"><fmt:message key="label.userName"/>*</td>
          <td width="32%"><html:text property="userName" styleClass="textBoxNormal"/></td>
          <td class="leftNormalCell"><fmt:message key="label.position"/>*</td>
          <td align="left">&nbsp;<html:select property="positionId" styleClass="selectNormal"><html:optionsCollection property="positionsList" value="id" label="name"/></html:select></td>
        </tr>
        <tr>
          <td class="leftNormalCell"><fmt:message key="label.password1"/>*</td>
          <td><html:password property="password1" styleClass="textBoxNormal"/></td>
          <td class="leftNormalCell"><fmt:message key="label.password2"/>*</td>
          <td align="left">&nbsp;<html:password property="password2" styleClass="textBoxNormal"/></td>
        </tr>
        <tr><td height="10" colspan="4"></td></tr>
        <tr><td class="leftNormalCell" colspan="4"><fmt:message key="label.roles"/>*:</td></tr>
        <tr>
          <td colspan="4">
            <table border="0" cellpadding="0" cellspacing="0" width="100%">
              <tr>
                <td align="right" rowspan="4">
                  <html:select property="availableRoles" multiple="true" styleClass="selectNormal" size="6"
                      ondblclick="javascript: toRight('boxAll', 'boxSel')" styleId="boxAll">

                    <html:optionsCollection property="availableRolesList" value="id" label="name"/>
                  </html:select>
                </td>
                <td width="10%">&nbsp;</td>
                <td align="left" rowspan="4">
                  <html:select property="userRoles" multiple="true" styleClass="selectNormal" size="6"
                               ondblclick="javascript: toLeft('boxAll', 'boxSel')" styleId="boxSel" >

                    <html:optionsCollection property="userRolesList" value="id" label="name"/>
                  </html:select>
                </td>
              </tr>
              <tr><td align="center"><input type="button" class="buttonAuto" value="&gt;" onclick="javascript:toRight('boxAll', 'boxSel')"/></td></tr>
              <tr><td align="center"><input type="button" class="buttonAuto" value="&lt;" onclick="javascript:toLeft('boxAll', 'boxSel')"/></td></tr>
              <tr><td>&nbsp;</td></tr>
            </table>
          </td>
        </tr>
        <tr><td height="10" colspan="4"></td></tr>
        <tr><td colspan="4" align="right"><html:hidden property="id"/><html:hidden property="version"/><html:submit styleClass="buttonNormal" onclick="javascript: selectAll('boxAll'); selectAll('boxSel');"><fmt:message key="button.save"/></html:submit></td></tr>
      </table>
      </html:form>
    </td>
  </tr>
  <tr><td height="16"></td></tr>
  <tr>
    <td>
      <table class="searchTable" align="center">
        <tr>
          <td align="right"><input type="button" class="buttonNormal" value="<fmt:message key='button.back'/>" onClick="doOnBack()"/></td>
        </tr>
      </table>
    </td>
  </tr>
  <tr><td height="16"></td></tr>
</table>
<jsp:include page="../includes/footer.jsp"/>