<%@ page import="org.mmc.utils.ResourcesUtils"%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>

<%
  String menuPathString = ResourcesUtils.getInstance().getString("label.menu.reports") + "->" +
      ResourcesUtils.getInstance().getString("label.report.r2");
%>
<jsp:include page="../includes/header.jsp">
  <jsp:param name="menuPath" value="<%=menuPathString%>"/>
</jsp:include>
<table class="content" cellpadding="0" cellspacing="0">
  <tr><td height="16"></td></tr>
  <tr><td class="headerCell"><fmt:message key="label.report.r2"/></td></tr>
  <jsp:include page="../includes/messages.jsp"/>
  <tr><td height="16"></td></tr>
  <tr>
    <td align="center">
      <html:form action="executePressingReport.do" target="_blank" >
      <table class="searchTable">
        <tr>
          <td class="leftNormalCell" width="25%"><fmt:message key="label.user"/></td>
          <td align="left">
            <html:select property="userId" styleClass="selectAuto">
              <html:option value=""></html:option>
              <html:optionsCollection property="usersList" value="id" label="fullName"/>
            </html:select>
          </td>
        </tr>
        <tr>
          <td class="leftNormalCell"><fmt:message key="label.participatesInProjects"/></td>
          <td align="left">
            <html:select property="projectId" styleClass="selectAuto">
              <html:option value=""></html:option>
              <html:optionsCollection property="projectsList" value="id" label="name"/>
            </html:select>
          </td>
        </tr>
        <tr><td height="10" colspan="2"></td></tr>
        <tr><td colspan="2" align="right"><html:submit styleClass="buttonAuto"><fmt:message key="button.execute"/></html:submit></td></tr>
      </table>
      </html:form>
    </td>
  </tr>
  <tr><td height="16"></td></tr>
</table>
<jsp:include page="../includes/footer.jsp"/>