<%@ page import="org.mmc.utils.ResourcesUtils"%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>

<%
  String menuPathString = ResourcesUtils.getInstance().getString("label.menu.probeManagement") + "->" +
      ResourcesUtils.getInstance().getString("label.menu.registerContainer") + "->" +
      ResourcesUtils.getInstance().getString("label.menu.tube");
%>
<jsp:include page="../includes/header.jsp">
  <jsp:param name="menuPath" value="<%=menuPathString%>"/>
</jsp:include>
<table class="content" cellpadding="0" cellspacing="0">
  <tr><td height="16"></td></tr>
  <tr><td class="headerCell"><fmt:message key="title.registerTube"/></td></tr>
  <jsp:include page="../includes/messages.jsp"/>
  <tr><td height="16"></td></tr>
  <tr>
    <td align="center">
      <html:form action="saveTube.do">
      <table class="searchTable">
        <tr>
          <td class="leftNormalCell" width="18%"><fmt:message key="label.code"/>*</td>
          <td width="30%" align="left"><html:text property="code" styleClass="textBoxNormal"/></td>
          <td class="leftNormalCell" width="20%"><fmt:message key="label.location"/>*</td>
          <td align="left"><html:textarea property="location" styleClass="textBoxNormal" rows="2"/></td>
        </tr>
        <tr><td height="10" colspan="4"></td></tr>
        <tr><td colspan="4" align="right"><html:submit styleClass="buttonAuto"><fmt:message key="button.register"/></html:submit></td></tr>
      </table>
      </html:form>
    </td>
  </tr>
  <tr><td height="16"></td></tr>
</table>
<jsp:include page="../includes/footer.jsp"/>