package org.mmc.web.actions.probes;

import org.mmc.model.domain.Probe;
import org.mmc.web.actions.BaseSecurityAction;
import org.mmc.web.Constants;

import javax.servlet.http.HttpServletRequest;

/**
 * Created on: 2007-10-13
 *
 * @author Stoyo Venkov
 */
public abstract class ProbeAwareAction extends BaseSecurityAction {
    public Probe getSessionProbe(HttpServletRequest request) {
        return (Probe) request.getSession().getAttribute(Constants.PROBE_ATTR);
    }

    public void setSessionProbe(HttpServletRequest request, Probe probe) {
        request.getSession().setAttribute(Constants.PROBE_ATTR, probe);
    }
}
