package org.mmc.web.actions.probes;

import org.mmc.model.service.ProbesService;
import org.mmc.model.domain.Probe;
import org.mmc.web.Constants;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Created on: 2007-10-13
 *
 * @author Stoyo Venkov
 */
public class ReloadProbeAction extends ProbeAwareAction {
    private ProbesService service;

    public ReloadProbeAction(ProbesService service) {
        this.service = service;
    }

    protected ActionForward doExecute(ActionMapping actionMapping,
                                      ActionForm actionForm,
                                      HttpServletRequest httpServletRequest,
                                      HttpServletResponse httpServletResponse)
            throws Exception {

        Probe probe = getSessionProbe(httpServletRequest);
        setSessionProbe(httpServletRequest, service.getProbeById(probe.getId()));
        return actionMapping.findForward(Constants.FORWARD_SUCCESS);
    }
}
