package org.mmc.web.actions.probes;

import org.mmc.model.service.ProbesService;
import org.mmc.web.Constants;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Created on: 2007-10-14
 *
 * @author Stoyo Venkov
 */
public class ShowLocationsAction extends ProbeAwareAction {
    protected ActionForward doExecute(ActionMapping actionMapping,
                                      ActionForm actionForm,
                                      HttpServletRequest httpServletRequest,
                                      HttpServletResponse httpServletResponse)
            throws Exception {

        String stepIdStr = httpServletRequest.getParameter("stepId");
        if(stepIdStr != null) {
            httpServletRequest.setAttribute("currStepId", stepIdStr);
        }

        return actionMapping.findForward(Constants.FORWARD_SUCCESS);
    }
}
