package org.mmc.web.actions.probes;

import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;
import org.mmc.web.Constants;
import org.mmc.web.forms.probes.RegisterMovementForm;
import org.mmc.model.service.ProbesService;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Created on: 2007-10-13
 *
 * @author Stoyo Venkov
 */
public class ShowMovementRegistrationAction extends ProbeAwareAction {
    private ProbesService service;

    public ShowMovementRegistrationAction(ProbesService service) {
        this.service = service;
    }

    protected ActionForward doExecute(ActionMapping actionMapping,
                                      ActionForm actionForm,
                                      HttpServletRequest httpServletRequest,
                                      HttpServletResponse httpServletResponse)
            throws Exception {

        String prevLocationIdStr = httpServletRequest.getParameter("prevLocationId");

        RegisterMovementForm form = (RegisterMovementForm) actionForm;

        form.setPrevLocationId(prevLocationIdStr);

        return actionMapping.findForward(Constants.FORWARD_SUCCESS);
    }

}
