package org.mmc.web.actions.probes;

import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;
import org.mmc.web.Constants;
import org.mmc.web.forms.probes.RegisterStepForm;
import org.mmc.model.service.ProbesService;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Created on: 2007-10-13
 *
 * @author Stoyo Venkov
 */
public class ShowStepRegistrationAction extends BaseStepAction {
    public ShowStepRegistrationAction(ProbesService service) {
        super(service);
    }

    protected ActionForward doExecute(ActionMapping actionMapping,
                                      ActionForm actionForm,
                                      HttpServletRequest httpServletRequest,
                                      HttpServletResponse httpServletResponse)
            throws Exception {

        String projectIdStr = httpServletRequest.getParameter("projectId");
        String prevStepIdStr = httpServletRequest.getParameter("prevStepId");

        RegisterStepForm form = (RegisterStepForm) actionForm;

        form.setProjectId(projectIdStr);
        form.setPrevStepId(prevStepIdStr);
        loadProjects(httpServletRequest, form);
        loadSteps(form);

        return actionMapping.findForward(Constants.FORWARD_SUCCESS);
    }
}
