package org.mmc.web.forms.administration;

import org.mmc.utils.ParseUtils;
import org.mmc.model.filters.ProjectsFilter;
import org.apache.struts.action.ActionForm;

/**
 * Created on: 2007-9-19
 *
 * @author Stoyo Venkov
 */
public class SearchProjectForm extends ActionForm {
    private String id;
    private String name;
    private String code;
    private String active;
    private String version;

    public String getActive() {
        return active;
    }

    public void setActive(String active) {
        this.active = active;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public void initializeFilterObject(ProjectsFilter filter) {
        filter.setName(ParseUtils.parseString(name));
        filter.setCode(ParseUtils.parseString(code));
        filter.setActive(ParseUtils.convertToBoolean(active));
    }

    public void initializFormFromFilter(ProjectsFilter filter) {
        name = filter.getName();
        code = filter.getCode();
        active = ParseUtils.convertToYNChar(filter.getActive());
    }
}
