package org.mmc.model.persistence.dao;

import org.mmc.model.domain.*;

/**
 * Created on: 2007-10-7
 *
 * @author Stoyo Venkov
 */
public interface ContainerAndGroupsDao extends BaseDao {
    public ContainerObject saveContainer(ContainerObject object);
    public ContainerObject updateContainer(ContainerObject object);
    public BatchGroup saveBatchGroup(BatchGroup object);
    public BatchGroup updateBatchGroup(BatchGroup object);
    public Tube getTubeById(Long id);
    public Rack getRackById(Long id);
    public Plate getPlateById(Long id);
    public BatchGroup getBatchGroupById(Long id);
}
