package org.mmc.model.persistence.dao;

import org.mmc.model.domain.Disease;
import org.mmc.model.filters.DiseasesFilter;

import java.util.List;

/**
 * Created on: 2007-9-8
 *
 * @author Stoyo Venkov
 */
public interface DiseasesDao extends BaseDao {
    public List getAllDiseases();
    public List getAllActive();
    public List getDiseasesByFilter(final DiseasesFilter disease);
    public Disease getDiseaseById(long diseaseId);
    public Disease updateDisease(Disease disease);
    public Disease saveDisease(Disease disease);
}
