package org.mmc.model.persistence.dao;

import org.mmc.model.domain.EthnicGroup;
import org.mmc.model.filters.EthnicGroupFilter;

import java.util.List;

/**
 * Created on: 2007-9-9
 *
 * @author Stoyo Venkov
 */
public interface EthnicGroupsDao extends BaseDao {
    public List getAllEthnicGroups();
    public List getEthnicGroupsByFilter(final EthnicGroupFilter filter);
    public EthnicGroup getEthnicGroupById(long id);
    public EthnicGroup updateEthnicGroup(EthnicGroup group);
    public EthnicGroup saveEthnicGroup(EthnicGroup group);
}
