package org.mmc.model.persistence.dao;

import org.mmc.model.domain.User;
import org.mmc.model.filters.UserFilter;

import java.util.List;

/**
 * Created on: 2007-9-18
 *
 * @author Stoyo Venkov
 */
public interface UserDao extends BaseDao {
    public List getAllUsers();
    public List getAllActive();
    public List getUserByFilter(final UserFilter filter);
    public User getUserById(long userId);
    public User getUserByUsernameAndPass(final String password, final String username);
    public User updateUser(User user);
    public User saveUser(User user);
    public List getAllRoles();
}
