package org.mmc.model.service;

import org.mmc.model.domain.ConfParam;
import org.mmc.model.persistence.dao.ConfParamsDao;

/**
 * Created on: 2007-10-20
 *
 * @author Stoyo Venkov
 */
public class ConfParamsDaoService implements ConfParamsService {
    private ConfParamsDao dao;

    public ConfParamsDao getDao() {
        return dao;
    }

    public void setDao(ConfParamsDao dao) {
        this.dao = dao;
    }

    public String getParamValue(String code) {
        return dao.getParamValue(code);
    }

    public void updateParam(String code, String value) {
        dao.updateParam(code, value);
    }

    public ConfParam getParamByCode(String code) {
        return dao.getParamByCode(code);
    }
}
