package org.mmc.model.service;

import org.mmc.model.domain.*;
import org.mmc.model.persistence.dao.ContainerAndGroupsDao;

/**
 * Created on: 2007-10-7
 *
 * @author Stoyo Venkov
 */
public class ContainerAndGroupsDaoService implements ContainerAndGroupsService {
    private ContainerAndGroupsDao dao;

    public ContainerAndGroupsDao getDao() {
        return dao;
    }

    public void setDao(ContainerAndGroupsDao dao) {
        this.dao = dao;
    }

    public ContainerObject saveOrUpdateContainer(ContainerObject object) {
        if(object.getId() != null) {
            return dao.updateContainer(object);
        } else {
            return dao.saveContainer(object);
        }
    }

    public BatchGroup saveOrUpdateBatchGroup(BatchGroup object) {
        if(object.getId() != null) {
            return dao.updateBatchGroup(object);
        } else {
            return dao.saveBatchGroup(object);
        }
    }

    public Tube getTubeById(Long id) {
        return dao.getTubeById(id);
    }

    public Rack getRackById(Long id) {
        return dao.getRackById(id);
    }

    public Plate getPlateById(Long id) {
        return dao.getPlateById(id);
    }

    public BatchGroup getBatchGroupById(Long id) {
        return dao.getBatchGroupById(id);
    }
}
