package org.mmc.model.service;

import org.mmc.model.domain.Patient;
import org.mmc.model.filters.PatientsFilter;
import org.mmc.model.persistence.dao.PatientsDao;

import java.util.List;

/**
 * Created on: 2007-10-7
 *
 * @author Stoyo Venkov
 */
public class PatientsDaoService implements PatientsService {
    private PatientsDao dao;

    public PatientsDao getDao() {
        return dao;
    }

    public void setDao(PatientsDao dao) {
        this.dao = dao;
    }

    public Patient getPatientById(Long id) {
        return dao.getPatientById(id);
    }

    public List getPatientsByFilter(PatientsFilter filter) {
        return dao.getPatientsByFilter(filter);
    }
}
