package org.mmc.model.service;

import org.mmc.model.domain.ProcessStep;

import java.util.List;

/**
 * Created on: 2007-10-11
 *
 * @author Stoyo Venkov
 */
public interface ProcessStepsService {
    /**
     * Gets all process steps from the database.
     * @return List of all process steps.
     */
    public List getAllProcessSteps();
    /**
     * Gets a process step by its id.
     * @param id The id to be searched for.
     * @return The process step.
     */
    public ProcessStep getProcessStepById(Long id);

    public ProcessStep getFirstStep();
}
