<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>

<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>MMC</title>
  <link rel="stylesheet" href="css/styles.css" />
</head>
<body>
  <table class="content" cellpadding="0" cellspacing="0" style="vertical-align: middle">
    <tr>
      <td>
        <form action="<%=request.getContextPath()%>/welcome.do" method="post">
          <input type="hidden" name="action" value="login">
          <table class="loginTable" align="center" border="0">
            <tr>
              <td colspan="2" class="headerCell"><fmt:message key="label.login"/>
              </td>
            </tr>
            <tr>
              <td class="normalCell">
                <fmt:message key="label.userName"/>
              </td>
              <td>
                <input class="textBoxNormal" type="text" name="loginUsername" id="Name">
              </td>
            </tr>
            <tr>
              <td class="normalCell">
                <fmt:message key="label.password1"/>
              </td>
              <td>
                <input class="textBoxNormal" type="password" name="loginPassword" id="Password">
              </td>
            </tr>
            <tr>
              <td colspan="2" align="center"  class="error">
                <c:if test="${not empty errors}">
                  <fmt:message key="${requestScope.errors}"/>
                </c:if>
              </td>
            </tr>
            <tr>
              <td>
                &nbsp;
              </td>
              <td>
                <input class="buttonAuto" type="submit" value="<fmt:message key="button.entrance"/>">
              </td>
            </tr>
          </table>
        </form>
      </td>
    </tr>
  </table>
</body>
</html>
