<%@ page import="org.mmc.utils.ResourcesUtils"%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>

<%
  String menuPathString = ResourcesUtils.getInstance().getString("label.menu.probeManagement") + "->" +
      ResourcesUtils.getInstance().getString("label.menu.browseProbes");
%>
<jsp:include page="../includes/header.jsp">
  <jsp:param name="menuPath" value="<%=menuPathString%>"/>
</jsp:include>
<script type="text/javascript">
  <!--
    function doChooseStep() {
      openWin('MMC', '<%=request.getContextPath()%>/chooseStep.do', 500, 800, 'top=100,left=100');
    }

    function doOnBack() {
      document.location = '<%=request.getContextPath()%>/reloadProbe.do';
    }
  //-->
</script>
<table class="content" cellpadding="0" cellspacing="0">
  <tr><td height="16"></td></tr>
  <tr><td class="headerCell"><fmt:message key="title.registerStep"/></td></tr>
  <jsp:include page="../includes/messages.jsp"/>
  <tr><td height="16"></td></tr>
  <tr>
    <td align="center">
      <html:form action="registerMovement.do">
      <table class="searchTable">
        <tr>
          <td class="leftNormalCell" width="18%"><fmt:message key="label.step"/></td>
          <td colspan="3" align="right">
            <html:text property="stepId" styleClass="textBoxWithLov" readonly="true" styleId="stepIdField"/>&nbsp;<input type="button" class="buttonBrowse" value="..." onClick="doChooseStep()"/>
          </td>
        </tr>
        <tr>
          <td class="leftNormalCell"><fmt:message key="label.tubeRegNum"/></td>
          <td align="left"><html:text property="tubeId" styleClass="textBoxNormal"/></td>
          <td class="leftNormalCell"><fmt:message key="label.rackRegNum"/></td>
          <td align="left"><html:text property="rackId" styleClass="textBoxNormal"/></td>
        </tr>
        <tr>
          <td class="leftNormalCell"><fmt:message key="label.plateRegNum"/></td>
          <td align="left"><html:text property="plateId" styleClass="textBoxNormal"/></td>
          <td class="leftNormalCell"><fmt:message key="label.batchGroupRegNum"/></td>
          <td align="left"><html:text property="batchGroupId" styleClass="textBoxNormal"/></td>
        </tr>
        <tr>
          <td class="leftNormalCell" width="18%"><fmt:message key="label.coordiantes"/></td>
          <td colspan="3">
            <html:text property="coordinates" styleClass="textBoxNormal"/>
          </td>
        </tr>
        <tr><td height="10" colspan="4"></td></tr>
        <tr>
          <td colspan="4" align="right">
            <html:hidden property="prevLocationId"/>
            <html:submit styleClass="buttonNormal"><fmt:message key="button.save"/></html:submit>
          </td>
        </tr>
      </table>
      </html:form>
    </td>
  </tr>
  <tr><td height="16"></td></tr>
  <tr>
    <td width="100%">
      <table class="searchTable" align="center">
        <tr>
          <td align="right"><input type="button" class="buttonNormal" value="<fmt:message key='button.back'/>" onClick="doOnBack()"/></td>
        </tr>
      </table>
    </td>
  </tr>
  <tr><td height="16"></td></tr>
</table>
<jsp:include page="../includes/footer.jsp"/>