<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>

<jsp:include page="../includes/header.jsp"/>
<script type="text/javascript">
  <!--
    function doOnBack() {
      document.location = "<%= request.getContextPath()%>"+"/browseProjects.do?operation=filter";
    }
  //-->
</script>
<table class="content" cellpadding="0" cellspacing="0">
  <tr><td height="16"></td></tr>
  <tr><td class="headerCell"><fmt:message key="title.editProject"/></td></tr>
  <jsp:include page="../includes/messages.jsp"/>
  <tr><td height="16"></td></tr>
  <tr>
    <td align="center">
      <html:form action="saveProject.do">
      <table class="searchTable">
        <tr>
          <td class="leftNormalCell" width="20%"><fmt:message key="label.nameLong"/>*</td>
          <td width="30%" align="left"><html:text property="name" styleClass="textBoxNormal"/></td>
          <td class="leftNormalCell" width="18%"><fmt:message key="label.code"/>*</td>
          <td align="left"><html:text property="code" styleClass="textBoxNormal"/></td>
        </tr>
        <tr>
          <td class="leftNormalCell"><fmt:message key="label.activeFemale"/></td>
          <td colspan="3" align="left"><html:checkbox property="active" value="Y"/><html:hidden property="id"/><html:hidden property="version"/></td>
        </tr>
        <tr><td height="10" colspan="4"></td></tr>
        <tr><td class="leftNormalCell" colspan="4"><fmt:message key="label.roles"/>*:</td></tr>
        <tr>
          <td colspan="4">
            <table border="0" cellpadding="0" cellspacing="0" width="100%">
              <tr>
                <td align="right" rowspan="4">
                  <html:select property="availableDiseaseIds" multiple="true" styleClass="selectNormal" size="6"
                      ondblclick="javascript: toRight('boxAll', 'boxSel')" styleId="boxAll">

                    <html:optionsCollection property="availableDiseases" value="id" label="name"/>
                  </html:select>
                </td>
                <td width="10%">&nbsp;</td>
                <td align="left" rowspan="4">
                  <html:select property="diseaseIds" multiple="true" styleClass="selectNormal" size="6"
                               ondblclick="javascript: toLeft('boxAll', 'boxSel')" styleId="boxSel" >

                    <html:optionsCollection property="diseases" value="id" label="name"/>
                  </html:select>
                </td>
              </tr>
              <tr><td><input type="button" class="buttonAuto" value="&gt;" onclick="javascript:toRight('boxAll', 'boxSel')"/></td></tr>
              <tr><td><input type="button" class="buttonAuto" value="&lt;" onclick="javascript:toLeft('boxAll', 'boxSel')"/></td></tr>
              <tr><td>&nbsp;</td></tr>
            </table>
          </td>
        </tr>
        <tr><td height="10" colspan="4"></td></tr>
        <tr><td colspan="4" align="right"><html:hidden property="id"/><html:hidden property="version"/><html:submit styleClass="buttonNormal" onclick="javascript: selectAll('boxAll'); selectAll('boxSel');"><fmt:message key="button.save"/></html:submit></td></tr>
      </table>
      </html:form>
    </td>
  </tr>
  <tr><td height="16"></td></tr>
  <tr>
    <td>
      <table class="searchTable" align="center">
        <tr>
          <td><td colspan="2" align="right"><input type="button" class="buttonNormal" value="<fmt:message key='button.back'/>" onClick="doOnBack()"/></td>
        </tr>
      </table>
    </td>
  </tr>
  <tr><td height="16"></td></tr>
</table>
<jsp:include page="../includes/footer.jsp"/>