<%@ page import="org.mmc.utils.ResourcesUtils"%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>

<%
  String menuPathString = ResourcesUtils.getInstance().getString("label.menu.probeManagement") + "->" +
      ResourcesUtils.getInstance().getString("label.menu.browseProbes");
%>
<jsp:include page="../includes/header.jsp">
  <jsp:param name="menuPath" value="<%=menuPathString%>"/>
</jsp:include>
<script type="text/javascript">
  <!--
    function onDataRowClicked(id) {
      document.location = "<%= request.getContextPath()%>"+"/manageProbe.do?probeId="+id;
    }

    function doChoosePatient() {
      openWin('MMC', '<%=request.getContextPath()%>/choosePatient.do?operation=show', 500, 800, 'top=100,left=100');
    }

    function doChooseRequest() {
      openWin('MMC', '<%=request.getContextPath()%>/chooseRequest.do?operation=show', 500, 800, 'top=100,left=100');
    }

    function doResetForm() {
      document.forms[0].reset();
      document.getElementById('patientFullNameField').value = '';
      document.getElementById('patientIdField').value = '';
      document.getElementById('requestRegNumField').value = '';
      document.getElementById('requestIdField').value = '';
    }
  //-->
</script>
<table class="content" cellpadding="0" cellspacing="0">
  <tr><td height="16"></td></tr>
  <tr><td class="headerCell"><fmt:message key="title.browseProbes"/></td></tr>
  <jsp:include page="../includes/messages.jsp"/>
  <tr><td height="16"></td></tr>
  <tr>
    <td align="center">
      <html:form action="browseProbes.do?operation=filter">
      <table class="searchTable">
        <tr>
          <td class="leftNormalCell" width="18%"><fmt:message key="label.regNum"/></td>
          <td align="left"><html:text property="id" styleClass="textBoxNormal"/></td>
          <td class="leftNormalCell" width="18%"><fmt:message key="label.participatesInProjectsF"/></td>
          <td align="left">
            <html:select property="projectId" styleClass="selectNormal">
              <html:option value=""></html:option>
              <html:optionsCollection property="projectsList" value="id" label="name"/>
            </html:select>
          </td>
        </tr>
        <tr>
          <td class="leftNormalCell" width="18%"><fmt:message key="label.registeredBy"/></td>
          <td align="left">
            <html:select property="creatorId" styleClass="selectNormal">
              <html:option value=""></html:option>
              <html:optionsCollection property="usersList" value="id" label="fullName"/>
            </html:select>
          </td>
          <td class="leftNormalCell" width="18%"><fmt:message key="label.externalUser"/></td>
          <td align="left">
            <html:select property="senderId" styleClass="selectNormal">
              <html:option value=""></html:option>
              <html:optionsCollection property="usersList" value="id" label="fullName"/>
            </html:select>
          </td>
        </tr>
        <tr>
          <td class="leftNormalCell" width="18%"><fmt:message key="label.registeredAfter"/></td>
          <td align="left"><html:text property="regFromDate" styleClass="textBoxDate" styleId="regFromDateField"/>&nbsp;<a href="javascript: popupCalendar(document.getElementById('regFromDateField'));"><img src="images/cal.gif" width="16" height="16" border="0" style="position: relative; top: 2px; cursor: pointer"></a></td>
          <td class="leftNormalCell" width="18%"><fmt:message key="label.registeredBefore"/></td>
          <td align="left"><html:text property="regToDate" styleClass="textBoxDate" styleId="regToDateField"/>&nbsp;<a href="javascript: popupCalendar(document.getElementById('regToDateField'));"><img src="images/cal.gif" width="16" height="16" border="0" style="position: relative; top: 2px; cursor: pointer"></a></td>
        </tr>
        <tr>
          <td class="leftNormalCell" width="18%"><fmt:message key="label.patient"/></td>
          <td align="left">
            <html:text property="patientNameInfo" styleClass="textBoxWithLov" readonly="true" styleId="patientFullNameField"/>&nbsp;<input type="button" class="buttonBrowse" value="..." onClick="doChoosePatient()"/>
            <html:hidden property="patientId" styleId="patientIdField"/>
          </td>
          <td class="leftNormalCell" width="18%"><fmt:message key="label.analysisRequest"/></td>
          <td align="left">
            <html:text property="requestId" styleClass="textBoxWithLov" readonly="true" styleId="requestRegNumField"/>&nbsp;<input type="button" class="buttonBrowse" value="..." onClick="doChooseRequest()"/>
            <html:hidden property="requestId" styleId="requestIdField"/>
          </td>
        </tr>
        <tr>
          <td class="leftNormalCell"><fmt:message key="label.tubeRegNum"/></td>
          <td align="left"><html:text property="tubeId" styleClass="textBoxNormal"/></td>
          <td class="leftNormalCell"><fmt:message key="label.rackRegNum"/></td>
          <td align="left"><html:text property="rackId" styleClass="textBoxNormal"/></td>
        </tr>
        <tr>
          <td class="leftNormalCell"><fmt:message key="label.plateRegNum"/></td>
          <td align="left"><html:text property="plateId" styleClass="textBoxNormal"/></td>
          <td class="leftNormalCell"><fmt:message key="label.batchGroupRegNum"/></td>
          <td align="left"><html:text property="batchGroupId" styleClass="textBoxNormal"/></td>
        </tr>
        <tr>
          <td class="leftNormalCell"><fmt:message key="label.status"/></td>
          <td align="left" colspan="3">
            <html:select property="term" styleClass="selectAuto">
              <html:option value=""></html:option>
              <html:option value="pressing"><fmt:message key="label.select.pressingProbes"/></html:option>
              <html:option value="expired"><fmt:message key="label.select.expiredProbes"/></html:option>
            </html:select>
          </td>
        </tr>
        <tr><td height="10" colspan="4"></td></tr>
        <tr><td colspan="4" align="right"><html:submit styleClass="buttonNormal"><fmt:message key="button.search"/></html:submit><input type="button" class="buttonNormal" onclick="doResetForm()" value="<fmt:message key='button.clear'/>"></td></tr>
      </table>
      </html:form>
    </td>
  </tr>
<c:if test="${param.operation != 'show'}">
  <tr><td height="16"></td></tr>
  <tr>
    <td>
      <table class="dataTable" align="center">
        <tr>
          <td class="dataHeaderCell" width="10%"><fmt:message key="label.regNum"/></td>
          <td class="dataHeaderCell" width="20%"><fmt:message key="label.registeredByF"/></td>
          <td class="dataHeaderCell" width="15%"><fmt:message key="label.registeredOnF"/></td>
          <td class="dataHeaderCell" width="25%"><fmt:message key="label.patient"/></td>
          <td class="dataHeaderCell" width="10%"><fmt:message key="label.termInDays"/></td>
          <td class="dataHeaderCell" width="10%"><fmt:message key="label.completedF"/></td>
          <td class="dataHeaderCell" width="10%"><fmt:message key="label.cancelledF"/></td>
        </tr>
        <c:choose>
          <c:when test="${empty tableData}">
            <tr class="dataRow"><td colspan="7"><fmt:message key="message.noDataFound"/></td></tr>
          </c:when>
          <c:otherwise>
            <c:forEach items="${tableData}" var="probe">
              <tr class="dataRow" onClick="onDataRowClicked(<c:out value='${probe.id}'/>)">
                <c:choose>
                  <c:when test="${probe.expired && (empty probe.finished || !probe.finished)}"><td class="redBgrCell"></c:when>
                  <c:otherwise><td></c:otherwise>
                </c:choose>
                <c:out value="${probe.id}"/></td>
                <td><c:out value="${probe.creator.fullName}"/></td>
                <td><fmt:formatDate pattern="dd.MM.yyyy" value="${probe.registrationDate}"/></td>
                <td><c:out value="${probe.patient.nameInfo}"/></td>
                <td><c:out value="${probe.termInDays}"/></td>
                <td>
                  <c:choose>
                    <c:when test="${probe.finished}"><img src="images/active.gif" border="0" width="16" height="16"/></c:when>
                    <c:otherwise><img src="images/inactive.gif" border="0" width="16" height="16"/></c:otherwise>
                  </c:choose>
                </td>
                <td>
                  <c:choose>
                    <c:when test="${probe.canceled}"><img src="images/active.gif" border="0" width="16" height="16"/></c:when>
                    <c:otherwise><img src="images/inactive.gif" border="0" width="16" height="16"/></c:otherwise>
                  </c:choose>
                </td>
              </tr>
            </c:forEach>
          </c:otherwise>
        </c:choose>
        <tr>
          <td class="dataHeaderCell" colspan="7">
            <c:if test="${searchFilter.previousPage}">
              <html:link action="browseProbes.do?operation=paging&pageOp=prev">
                <html:img page="/images/left6.gif" border="0" align="middle" />
              </html:link>
            </c:if>
            &nbsp;&nbsp;
            <c:if test="${searchFilter.nextPage}">
              <html:link action="browseProbes.do?operation=paging&pageOp=next">
                <html:img page="/images/right6.gif" border="0" align="middle" />
              </html:link>
            </c:if>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</c:if>
  <tr><td height="16"></td></tr>
</table>
<jsp:include page="../includes/footer.jsp"/>