<%@ page import="org.mmc.utils.ResourcesUtils"%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>

<%
  String menuPathString = ResourcesUtils.getInstance().getString("label.menu.probeManagement") + "->" +
      ResourcesUtils.getInstance().getString("label.menu.registerProbe");
%>
<jsp:include page="../includes/header.jsp">
  <jsp:param name="menuPath" value="<%=menuPathString%>"/>
</jsp:include>

<script type="text/javascript">
  function doChoosePatient() {
    openWin('MMC', '<%=request.getContextPath()%>/choosePatient.do?operation=show', 500, 800, 'top=100,left=100');
  }

  function doChooseRequest() {
    openWin('MMC', '<%=request.getContextPath()%>/chooseRequest.do?operation=show', 500, 800, 'top=100,left=100');
  }
</script>

<table class="content" cellpadding="0" cellspacing="0">
  <tr><td height="16"></td></tr>
  <tr><td class="headerCell"><fmt:message key="title.registerProbe"/></td></tr>
  <jsp:include page="../includes/messages.jsp"/>
  <tr><td height="16"></td></tr>
  <tr>
    <td align="center">
      <html:form action="registerProbe.do">
      <table class="searchTable" align="center">
        <tr>
          <td colspan="4">
            <table class="innerSearchTable">
              <tr>
                <td class="leftNormalCell"><fmt:message key="label.patient"/>*:</td>
                <td colspan="3" align="right"><input type="button" class="buttonAuto" value="..." onClick="doChoosePatient()"/></td>
              </tr>
              <tr>
                <td class="leftNormalCell" width="18%"><fmt:message key="label.name"/></td>
                <td width="34%">
                  <input type="text" name="firstName" class="textBoxNormal" disabled="true" id="patientFirstNameField">
                  <html:hidden property="patientId" styleId="patientIdField"/>
                </td>
                <td class="leftNormalCell" width="18%"><fmt:message key="label.familyName"/></td>
                <td align="left"><input type="text" name="familyName" class="textBoxNormal" disabled="true" id="patientFamilyNameField"></td>
              </tr>
              <tr>
                <td class="leftNormalCell"><fmt:message key="label.initials"/></td>
                <td><input type="text" name="initials" class="textBoxNormal" disabled="true" id="patientInitialsField"></td>
                <td class="leftNormalCell"><fmt:message key="label.uniqueNumber"/></td>
                <td align="left"><input type="text" name="active" class="textBoxNormal" disabled="true" id="patientUniqueNumberField"/></td>
              </tr>
            </table>
          </td>
        </tr>
        <tr><td height="10" colspan="4"></td></tr>
        <tr>
          <td colspan="4">
            <table class="innerSearchTable">
              <tr>
                <td class="leftNormalCell" colspan="2"><fmt:message key="label.analysisRequest"/>*:</td>
                <td colspan="2" align="right"><input type="button" class="buttonAuto" value="..." onClick="doChooseRequest()"/></td>
              </tr>
              <tr>
                <td class="leftNormalCell" width="18%"><fmt:message key="label.regNum"/></td>
                <td width="34%">
                  <input type="text" name="requestId" class="textBoxNormal" disabled="true" id="requestRegNumField">
                  <html:hidden property="requestId" styleId="requestIdField"/>
                </td>
                <td class="leftNormalCell" width="18%"><fmt:message key="label.registeredOnN"/></td>
                <td align="left"><input type="text" name="registeredOn" class="textBoxDate" disabled="true" id="requestRegisteredOnField"></td>
              </tr>
            </table>
          </td>
        </tr>
        <tr height="10"><td width="25%">&nbsp;</td><td width="15%">&nbsp;</td><td width="20%">&nbsp;</td><td>&nbsp;</td></tr>
        <tr>
          <td class="leftNormalCell" colspan="2"><fmt:message key="label.daysToComplete"/>*&nbsp;&nbsp;&nbsp;<html:text property="analysisTerm" styleClass="textBoxSmall"/></td>
          <td colspan="2" align="left">&nbsp;</td>
        </tr>
        <tr height="5"><td colspan="4">&nbsp;</td></tr>
        <tr>
          <td class="leftNormalCell"><fmt:message key="label.regNum"/>&nbsp;(<fmt:message key="label.tube"/>)*</td>
          <td align="left"><html:text property="tubeId" styleClass="textBoxNormal"/></td>
          <td class="leftNormalCell"><fmt:message key="label.probeType"/>*</td>
          <td align="left">
            <html:select property="probeTypeId" styleClass="selectNormal">
              <html:option value=""></html:option>
              <html:optionsCollection property="probeTypesList" value="id" label="name"/>
            </html:select>
          </td>
        </tr>
        <tr><td height="10" colspan="4"></td></tr>
        <tr><td class="leftNormalCell" colspan="4"><fmt:message key="label.criteria"/>*:</td></tr>
        <tr>
          <td colspan="4">
            <table border="0" cellpadding="0" cellspacing="0" width="100%">
              <tr>
                <td align="right" rowspan="4">
                  <html:select property="availableCriteria" multiple="true" styleClass="selectNormal" size="6"
                      ondblclick="javascript: toRight('criteriaAllField', 'criteriaSelField')" styleId="criteriaAllField">

                    <html:optionsCollection property="availableCriteriaList" value="id" label="code"/>
                  </html:select>
                </td>
                <td width="10%">&nbsp;</td>
                <td align="left" rowspan="4">
                  <html:select property="chosenCriteria" multiple="true" styleClass="selectNormal" size="6"
                               ondblclick="javascript: toLeft('criteriaAllField', 'criteriaSelField')" styleId="criteriaSelField" >

                    <html:optionsCollection property="criteriaList" value="id" label="code"/>
                  </html:select>
                </td>
              </tr>
              <tr><td align="center"><input type="button" class="buttonAuto" value="&gt;" onclick="javascript:toRight('criteriaAllField', 'criteriaSelField')"/></td></tr>
              <tr><td align="center"><input type="button" class="buttonAuto" value="&lt;" onclick="javascript:toLeft('criteriaAllField', 'criteriaSelField')"/></td></tr>
              <tr><td>&nbsp;</td></tr>
            </table>
          </td>
        </tr>
        <tr><td height="10" colspan="4"></td></tr>
        <tr><td class="leftNormalCell" colspan="4"><fmt:message key="label.projects"/>*:</td></tr>
        <tr>
          <td colspan="4">
            <table border="0" cellpadding="0" cellspacing="0" width="100%">
              <tr>
                <td align="right" rowspan="4">
                  <html:select property="availableProjects" multiple="true" styleClass="selectNormal" size="6"
                      ondblclick="javascript: toRight('projectsAllField', 'projectsSelField')" styleId="projectsAllField">

                    <html:optionsCollection property="availableProjectsList" value="id" label="name"/>
                  </html:select>
                </td>
                <td width="10%">&nbsp;</td>
                <td align="left" rowspan="4">
                  <html:select property="chosenProjects" multiple="true" styleClass="selectNormal" size="6"
                               ondblclick="javascript: toLeft('projectsAllField', 'projectsSelField')" styleId="projectsSelField" >

                    <html:optionsCollection property="projectsList" value="id" label="name"/>
                  </html:select>
                </td>
              </tr>
              <tr><td align="center"><input type="button" class="buttonAuto" value="&gt;" onclick="javascript:toRight('projectsAllField', 'projectsSelField')"/></td></tr>
              <tr><td align="center"><input type="button" class="buttonAuto" value="&lt;" onclick="javascript:toLeft('projectsAllField', 'projectsSelField')"/></td></tr>
              <tr><td>&nbsp;</td></tr>
            </table>
          </td>
        </tr>
        <tr><td height="10" colspan="4"></td></tr>
        <tr><td colspan="4" align="right"><html:submit styleClass="buttonAuto" onclick="javascript: selectAll('criteriaAllField'); selectAll('criteriaSelField'); selectAll('projectsAllField'); selectAll('projectsSelField');"><fmt:message key="button.register"/></html:submit></td></tr>
      </table>
      </html:form>
    </td>
  </tr>
  <tr><td height="16"></td></tr>
</table>
<jsp:include page="../includes/footer.jsp"/>