<%@ page import="org.mmc.utils.ResourcesUtils"%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>

<%
  String menuPathString = ResourcesUtils.getInstance().getString("label.menu.probeManagement") + "->" +
      ResourcesUtils.getInstance().getString("label.menu.browseProbes");
%>
<jsp:include page="../includes/header.jsp">
  <jsp:param name="menuPath" value="<%=menuPathString%>"/>
</jsp:include>
<script type="text/javascript">
  <!--
  //-->
</script>
<table class="content" cellpadding="0" cellspacing="0">
  <tr><td height="16"></td></tr>
  <tr><td class="headerCell"><fmt:message key="title.registerStep"/></td></tr>
  <jsp:include page="../includes/messages.jsp"/>
  <tr><td height="16"></td></tr>
  <tr>
    <td align="center">
      <html:form action="registerStep.do">
      <table class="searchTable">
        <tr>
          <td class="leftNormalCell" width="18%"><fmt:message key="label.project"/></td>
          <td colspan="3">
            <html:select property="projectId" styleClass="selectAuto">
              <html:option value=""></html:option>
              <html:optionsCollection property="projectsList" value="id" label="name"/>
            </html:select>
          </td>
        </tr>
        <tr>
          <td class="leftNormalCell" width="18%"><fmt:message key="label.kind"/></td>
          <td colspan="3">
            <html:select property="kindId" styleClass="selectAuto">
              <html:optionsCollection property="nomStepsList" value="id" label="name"/>
            </html:select>
          </td>
        </tr>
        <tr>
          <td class="leftNormalCell" width="18%"><fmt:message key="label.notes"/></td>
          <td colspan="3">
            <html:textarea property="notes" styleClass="areaMax"/>
          </td>
        </tr>
        <tr><td height="10" colspan="4"></td></tr>
        <tr>
          <td colspan="4" align="right">
            <html:hidden property="prevStepId"/>
            <html:submit styleClass="buttonNormal"><fmt:message key="button.save"/></html:submit>
          </td>
        </tr>
      </table>
      </html:form>
    </td>
  </tr>
  <tr><td height="16"></td></tr>
</table>
<jsp:include page="../includes/footer.jsp"/>