<%@ page import="org.mmc.utils.ResourcesUtils"%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>

<%
  String menuPathString = ResourcesUtils.getInstance().getString("label.menu.reports") + "->" +
      ResourcesUtils.getInstance().getString("label.report.r3");
%>
<jsp:include page="../includes/header.jsp">
  <jsp:param name="menuPath" value="<%=menuPathString%>"/>
</jsp:include>
<script type="text/javascript">
  <!--
    function doChoosePatient() {
      openWin('MMC', '<%=request.getContextPath()%>/choosePatient.do?operation=show', 500, 800, 'top=100,left=100');
    }
  //-->
</script>
<table class="content" cellpadding="0" cellspacing="0">
  <tr><td height="16"></td></tr>
  <tr><td class="headerCell"><fmt:message key="label.report.r3"/></td></tr>
  <jsp:include page="../includes/messages.jsp"/>
  <tr><td height="16"></td></tr>
  <tr>
    <td align="center">
      <html:form action="executePatientReport.do" target="_blank" >
      <table class="searchTable">
        <tr>
          <td class="leftNormalCell" width="18%"><fmt:message key="label.patient"/>*</td>
          <td align="left">
            <html:text property="patientNameInfo" styleClass="textBoxWithLov" readonly="true" styleId="patientFullNameField"/>&nbsp;<input type="button" class="buttonBrowse" value="..." onClick="doChoosePatient()"/>
            <html:hidden property="patientId" styleId="patientIdField"/>
          </td>
        </tr>
        <tr>
          <td class="leftNormalCell" width="18%"><fmt:message key="label.registeredBefore"/></td>
          <td align="left"><html:text property="regToDate" styleClass="textBoxDate" styleId="regToDateField"/>&nbsp;<a href="javascript: popupCalendar(document.getElementById('regToDateField'));"><img src="images/cal.gif" width="16" height="16" border="0" style="position: relative; top: 2px; cursor: pointer"></a></td>
        </tr>
        <tr><td height="10" colspan="2"></td></tr>
        <tr><td colspan="2" align="right"><html:submit styleClass="buttonAuto"><fmt:message key="button.execute"/></html:submit></td></tr>
      </table>
      </html:form>
    </td>
  </tr>
  <tr><td height="16"></td></tr>
</table>
<jsp:include page="../includes/footer.jsp"/>