<%@ page import="org.mmc.utils.ResourcesUtils"%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>

<%
  String menuPathString = ResourcesUtils.getInstance().getString("label.menu.probeManagement") + "->" +
      ResourcesUtils.getInstance().getString("label.menu.browseProbes");
%>
<jsp:include page="../includes/header.jsp">
  <jsp:param name="menuPath" value="<%=menuPathString%>"/>
</jsp:include>
<script type="text/javascript">
  <!--
    function doOnBack(prevLocationId) {
      document.location = '<%=request.getContextPath()%>/reloadProbe.do';
    }
  //-->
</script>
<table class="content" cellpadding="0" cellspacing="0">
  <tr><td height="16"></td></tr>
  <tr><td class="headerCell"><fmt:message key="title.reports"/></td></tr>
  <jsp:include page="../includes/messages.jsp"/>
  <tr><td height="16"></td></tr>
  <tr>
    <td align="center"><html:link action="/loadExpiredReport.do" styleClass="sameGreen"><fmt:message key="label.report.r1"/></html:link></td>
  </tr>
  <tr><td height="8"></td></tr>
  <tr>
    <td align="center"><html:link action="/loadPressingReport.do" styleClass="sameGreen"><fmt:message key="label.report.r2"/></html:link></td>
  </tr>
  <tr><td height="8"></td></tr>
  <tr>
    <td align="center"><html:link action="/loadPatientReport.do" styleClass="sameGreen"><fmt:message key="label.report.r3"/></html:link></td>
  </tr>
  <tr><td height="8"></td></tr>
  <tr>
    <td align="center"><html:link action="/loadProjectReport.do" styleClass="sameGreen"><fmt:message key="label.report.r4"/></html:link></td>
  </tr>
  <tr><td height="16"></td></tr>
</table>
<jsp:include page="../includes/footer.jsp"/>