package org.mmc.web.actions;

import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;
import org.mmc.web.actions.BaseAction;
import org.mmc.web.Constants;
import org.mmc.model.domain.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Created on: 2007-9-9
 *
 * @author Stoyo Venkov
 */
public abstract class BaseSecurityAction extends BaseAction {
    protected abstract ActionForward doExecute(ActionMapping actionMapping,
                                               ActionForm actionForm,
                                               HttpServletRequest httpServletRequest,
                                               HttpServletResponse httpServletResponse)
            throws Exception;

    //protected abstract long[] getRoles();

    protected ActionForward doBaseExecute(ActionMapping actionMapping,
                                          ActionForm actionForm,
                                          HttpServletRequest httpServletRequest,
                                          HttpServletResponse httpServletResponse)
            throws Exception {

        return doExecute(actionMapping, actionForm, httpServletRequest, httpServletResponse);
    }

    protected User getLoggedUser(HttpServletRequest request) {
        return (User) request.getSession().getAttribute(Constants.LOGGED_USER);
    }
}
