package org.mmc.web.actions;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Created on: 2007-10-2
 *
 * @author Stoyo Venkov
 */
public class LogoutAction extends Action {
    public ActionForward execute(ActionMapping actionMapping,
                                 ActionForm actionForm,
                                 HttpServletRequest httpServletRequest,
                                 HttpServletResponse httpServletResponse)
            throws Exception {

        StringBuffer sb = httpServletRequest.getRequestURL();
        String thisPath = actionMapping.getPath();
        int index = sb.lastIndexOf(thisPath);
        String redirectPath = sb.substring(0, index) + "/welcome.do";

        httpServletRequest.getSession().invalidate();
        httpServletResponse.sendRedirect(redirectPath);

        return null;
    }
}
