package org.mmc.web.actions.administration;

import org.mmc.web.actions.BaseSecurityAction;
import org.mmc.web.Constants;
import org.mmc.web.forms.administration.TermsParamsForm;
import org.mmc.model.service.ConfParamsService;
import org.mmc.model.domain.ConfParam;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Created on: 2007-10-20
 *
 * @author Stoyo Venkov
 */
public class EditTermsParamsAction extends BaseSecurityAction {
    private ConfParamsService service;

    public EditTermsParamsAction(ConfParamsService service) {
        this.service = service;
    }

    protected ActionForward doExecute(ActionMapping actionMapping,
                                      ActionForm actionForm,
                                      HttpServletRequest httpServletRequest,
                                      HttpServletResponse httpServletResponse)
            throws Exception {

        TermsParamsForm form = (TermsParamsForm) actionForm;

        ConfParam param = service.getParamByCode(ConfParam.ALARM_TERM_PARAM);

        form.setName(param.getName());
        form.setValue(param.getValue());

        return actionMapping.findForward(Constants.FORWARD_SUCCESS);
    }
}
