package org.mmc.web.actions.probes;

import org.mmc.web.Constants;
import org.mmc.web.forms.probes.RegisterProbeForm;
import org.mmc.model.service.NomenclaturesService;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Created on: 2007-10-9
 *
 * @author Stoyo Venkov
 */
public class ShowProbeRegistrationAction extends BaseProbeAction {

    public ShowProbeRegistrationAction(NomenclaturesService nomenclaturesService) {
        super(nomenclaturesService);
    }

    protected ActionForward doExecute(ActionMapping actionMapping,
                                      ActionForm actionForm,
                                      HttpServletRequest httpServletRequest,
                                      HttpServletResponse httpServletResponse)
            throws Exception {

        loadCriteria((RegisterProbeForm) actionForm);
        loadProjects((RegisterProbeForm) actionForm);
        loadProbeTypes((RegisterProbeForm) actionForm);

        return actionMapping.findForward(Constants.FORWARD_SUCCESS);
    }
}
