package org.mmc.web.actions.probes;

import org.mmc.model.service.ProbesService;
import org.mmc.web.Constants;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Created on: 2007-10-14
 *
 * @author Stoyo Venkov
 */
public class ShowTreeTableAction extends ProbeAwareAction {
    private ProbesService service;

    public ShowTreeTableAction(ProbesService service) {
        this.service = service;
    }

    protected ActionForward doExecute(ActionMapping actionMapping,
                                      ActionForm actionForm,
                                      HttpServletRequest httpServletRequest,
                                      HttpServletResponse httpServletResponse)
            throws Exception {

        String stepIdStr = httpServletRequest.getParameter("stepId");
        Long stepId = new Long(stepIdStr);

        String tableString = service.getLocationsTable(stepId);

        httpServletRequest.setAttribute(Constants.LOC_TABLE_ATTR, tableString);

        return actionMapping.findForward(Constants.FORWARD_SUCCESS);
    }
}
