package org.mmc.web.actions.reports;

import org.mmc.model.service.ProbesService;
import org.mmc.web.forms.reports.PressingProbesForm;
import org.mmc.web.Constants;
import org.mmc.web.actions.BaseSecurityAction;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Created on: 2007-10-20
 *
 * @author Stoyo Venkov
 */
public class ShowExpiredProbesReportAction extends BaseSecurityAction {
    private ProbesService probesService;

    public ShowExpiredProbesReportAction(ProbesService probesService) {
        this.probesService = probesService;
    }

    protected ActionForward doExecute(ActionMapping actionMapping,
                                      ActionForm actionForm,
                                      HttpServletRequest httpServletRequest,
                                      HttpServletResponse httpServletResponse)
            throws Exception {

        PressingProbesForm form = (PressingProbesForm) actionForm;

        form.setUsersList(probesService.getNomenclaturesService().getUsersService().getAllUsers());
        form.setProjectsList(probesService.getNomenclaturesService().getProjectsService().getAllProjects());

        return actionMapping.findForward(Constants.FORWARD_SUCCESS);
    }
}
