package org.mmc.web.forms.administration;

import org.apache.struts.action.ActionForm;
import org.mmc.model.filters.UserFilter;
import org.mmc.utils.ParseUtils;

/**
 * Created on: 2007-9-18
 *
 * @author Stoyo Venkov
 */
public class SearchUserForm extends ActionForm {
    private String firstName;
    private String familyName;
    private String userName;
    private String active;

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getFamilyName() {
        return familyName;
    }

    public void setFamilyName(String familyName) {
        this.familyName = familyName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getActive() {
        return active;
    }

    public void setActive(String active) {
        this.active = active;
    }

    public void initializeFilterObject(UserFilter filter) {
        filter.setFirstName(ParseUtils.parseString(firstName));
        filter.setFamilyName(ParseUtils.parseString(familyName));
        filter.setUserName(ParseUtils.parseString(userName));
        filter.setActive(ParseUtils.convertToBoolean(active));
    }

    public void initializFormFromFilter(UserFilter filter) {
        firstName = filter.getFirstName();
        familyName = filter.getFamilyName();
        userName = filter.getUserName();
        active = ParseUtils.convertToYNChar(filter.getActive());
    }
}
