package org.mmc.web.forms.reports;

import org.mmc.web.forms.BaseValidatorForm;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;

import javax.servlet.http.HttpServletRequest;

/**
 * Created on: 2007-10-20
 *
 * @author Stoyo Venkov
 */
public class PatientReportForm extends BaseValidatorForm {
    private String patientId;
    private String regToDate;
    private String patientNameInfo;

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

    public String getRegToDate() {
        return regToDate;
    }

    public void setRegToDate(String regToDate) {
        this.regToDate = regToDate;
    }

    public String getPatientNameInfo() {
        return patientNameInfo;
    }

    public void setPatientNameInfo(String patientNameInfo) {
        this.patientNameInfo = patientNameInfo;
    }

    public ActionErrors validate(ActionMapping actionMapping, HttpServletRequest httpServletRequest) {
        ActionErrors errors = new ActionErrors();

        checkRequiredStrField(errors, patientId, "label.patient");
        checkDateField(errors, regToDate, "label.registeredBefore");

        return errors;
    }
}
