package org.mmc.web.forms.reports;

import org.mmc.web.forms.BaseValidatorForm;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * Created on: 2007-10-20
 *
 * @author Stoyo Venkov
 */
public class ProjectReportForm extends BaseValidatorForm {
    private String projectId;
    private String regFromDate;
    private String regToDate;

    private List projectsList;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getRegToDate() {
        return regToDate;
    }

    public void setRegToDate(String regToDate) {
        this.regToDate = regToDate;
    }

    public String getRegFromDate() {
        return regFromDate;
    }

    public void setRegFromDate(String regFromDate) {
        this.regFromDate = regFromDate;
    }

    public List getProjectsList() {
        return projectsList;
    }

    public void setProjectsList(List projectsList) {
        this.projectsList = projectsList;
    }

    public ActionErrors validate(ActionMapping actionMapping, HttpServletRequest httpServletRequest) {
        ActionErrors errors = new ActionErrors();

        checkDateField(errors, regFromDate, "label.registeredAfter");
        checkDateField(errors, regToDate, "label.registeredBefore");

        return errors;
    }
}
